Summary:	GNU inetlib - library of clients for common Internet protocols
Summary(pl.UTF-8):	GNU inetlib - biblioteka klientów popularnych protokołów internetowych
Name:		java-gnu-inetlib
Version:	1.1.2
Release:	2
License:	GPL v2+
Group:		Libraries/Java
Source0:	http://ftp.gnu.org/gnu/classpath/inetlib-%{version}.tar.gz
# Source0-md5:	e28147996e70b63b6caa743319a4bf46
Patch0:		0001-make-logger-static-again.patch
Patch1:		javadoc.patch
URL:		http://www.gnu.org/software/classpath/inetlib.html
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU inetlib is a library of clients for common Internet protocols. The
following protocols are currently supported:

 - Hypertext Transfer Protocol (HTTP)
 - File Transfer Protocol (FTP)
 - Simple Mail Transfer Protocol (SMTP)
 - Internet Message Access Protocol (IMAP)
 - Post Office Protocol (POP)
 - Network News Transfer Protocol (NNTP)
 - Lightweight Directory Access Protocol (LDAP) (alpha)
 - Gopher
 - Finger

The inetlib library is similar in intent to the Python Internet
protocols library - the API is as close as possible to the intent of
the underlying protocol design. This allows for very efficient coding
of user agents.

Additionally, inetlib includes URLStreamHandler implementations for
some of the protocols. These can be used to add support for the
corresponding URL scheme to the java.net.URL class.

%description -l pl.UTF-8
GNU inetlib to biblioteka klientów popularnych protokołów
internetowych. Aktualnie obsługiwane są następujące protokoły:

 - Hypertext Transfer Protocol (HTTP)
 - File Transfer Protocol (FTP)
 - Simple Mail Transfer Protocol (SMTP)
 - Internet Message Access Protocol (IMAP)
 - Post Office Protocol (POP)
 - Network News Transfer Protocol (NNTP)
 - Lightweight Directory Access Protocol (LDAP) (alpha)
 - Gopher
 - Finger

Biblioteka inetlib w zamierzeniu jest podobna do biblioteki protokołów
internetowych Pythona - API jest jak najbardziej zbliżone do projektu
samych protokołów. Pozwala to na bardzo wydajne kodowanie aplikacji
klienckich.

Ponadto inetlib zawiera implementacje URLStreamHandler dla niektórych
protokołów. Można ich używać w celu dodania obsługi odpowiednich
schematów URL-i do klasy java.net.URL.

%package javadoc
Summary:	API documentation for GNU inetlib
Summary(pl.UTF-8):	Dokumentacja API GNU inetlib
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	java-gnu-inetlib-doc

%description javadoc
API documentation for GNU inetlib.

%description javadoc -l pl.UTF-8
Dokumentacja API GNU inetlib.

%prep
%setup -q -n inetlib-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
unset CLASSPATH || :
export JAVA_HOME=%{java_home}
export JAVAC=%{_bindir}/javac
export JAVA=%{_bindir}/java
%configure

%{__make} -j1
%{__make} -j1 javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -R docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_javadir}/inetlib.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%changelog
* Sun Mar 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-gnu-inetlib.git;a=log;h=master

* Sun Mar 05 2017 Jan Rękorajski <baggins@pld-linux.org> a10a5c1
- revert some changes in upstream version 1.1.2 that breaks other packages
- fix javadoc
- rel 2

* Sun Nov 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 787d403
- updated to 1.1.2
- removed obsolete DESTDIR patch

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> 7372778
- Dropped EA, we have icedtea6 jdk on all archs

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> fe66956
- Libraries/Java group

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a069bb
- release 3

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 90b251d
- unify ftp.gnu.org urls

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b695a7f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e894918
- converted to UTF-8

* Fri Dec 08 2006 Elan Ruusamäe <glen@pld-linux.org> 15cd2d8
- -javadoc R: jpackage-utils for parent dirs; rel 2

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 851c5a4
- removed junk

* Thu May 25 2006 Jakub Bogusz <qboosh@pld-linux.org> a96b633
- Obsoletes for java-gnu-inetlib-doc

* Thu May 25 2006 Jacek Konieczny <jajcus@pld-linux.org> b4c1b3a
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- API docs moved to %{_javadocdir} in javadoc subpackage

* Tue May 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 5704cbb
- pl

* Sun May 21 2006 radek <radek@pld-linux.org> 380eb9c
- ExclusiveArch: noarch (for ./builder)

* Thu May 18 2006 Jacek Konieczny <jajcus@pld-linux.org> b4cc784
- DESTDIR patch for GNU inetlib

* Thu May 18 2006 Jacek Konieczny <jajcus@pld-linux.org> 0217a2f
- new spec

